@echo off
cls
for /f "tokens=3" %%a in ('reg query "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion" /v CurrentBuildNumber ^| find "CurrentBuildNumber"') do set build=%%a
echo Build Number: %build%
if %build% GEQ 22000 (
    echo Detected Windows 11
	Install_PCIE_Win11_11026_20_09012025.exe
) else (
    echo Detected Windows 10
	Install_Win10_10048_04212021.exe
)



